Name: urpmi-proxy
Version: 0.3.2
Release: %mkrel 8
Summary: A proxy for urpmi repository mirrors
Group: System/Packaging
License: GPLv2+
Source: %{name}-%{version}.tar.bz2
URL: https://wiki.mageia.org/en/Urpmi-proxy

BuildArch: noarch
Requires: apache
Suggests: perl(WWW::Curl::Easy)
Suggests: perl(urpm)
Suggests: perl(urpm::cfg)
Suggests: genhdlist2

%description
urpmi-proxy is an http proxy for urpmi, it allows clients to configure this
proxy as a local mirror. It fetches from configurable sources and stores it
in a local cache, during the request. You can also configure it to have an
extra repository so you can provide extra or modified packages.

This software is implemented using standard webserver proxy feature, you
need a running webserver to make it work.

You can start the apache webserver with:

	systemctl start httpd.service


%prep
%setup -q

%install
%{__mkdir_p} %{buildroot}%{_var}/cache/urpmi-proxy
%{__mkdir_p} %{buildroot}%{_datadir}/urpmi-proxy/cgi-bin
%{__cp} urpmi-proxy.cgi %{buildroot}%{_datadir}/urpmi-proxy/cgi-bin/
%{__mkdir_p} %{buildroot}%{_sysconfdir}
%{__cp} urpmi-proxy.conf %{buildroot}%{_sysconfdir}/
%{__mkdir_p} %{buildroot}%{_webappconfdir}
%{__mkdir_p} %{buildroot}%{_var}/log
touch %{buildroot}%{_var}/log/urpmi-proxy.log

install -d -m 755 %{buildroot}%{_webappconfdir}
cat > %{buildroot}%{_webappconfdir}/urpmi-proxy.conf <<EOF
# urpmi-proxy configuration

ScriptAlias /mageia /usr/share/urpmi-proxy/cgi-bin/urpmi-proxy.cgi

<Directory /usr/share/urpmi-proxy/cgi-bin>
    Require all granted
	Options +ExecCGI
</Directory>
EOF

%files
%doc README AUTHORS TODO INSTALL LICENSE
%attr(0750,apache,apache) %dir %{_var}/cache/urpmi-proxy
%attr(0750,apache,apache) %config(noreplace) %{_var}/log/urpmi-proxy.log
%attr(0750,root,apache) %dir %{_datadir}/urpmi-proxy
%attr(0750,root,apache) %{_datadir}/urpmi-proxy/cgi-bin/urpmi-proxy.cgi
%attr(0750,root,apache) %config(noreplace) %{_sysconfdir}/urpmi-proxy.conf
%config(noreplace) %{_webappconfdir}/urpmi-proxy.conf



%changelog

* Tue Jan 22 2013 fwang <fwang> 0.3.2-8.mga3
+ Revision: 390821
- update rpm group

* Mon Jan 14 2013 umeabot <umeabot> 0.3.2-7.mga3
+ Revision: 385126
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Sep 11 2012 alien <alien> 0.3.2-6.mga3
+ Revision: 292223
- Add a bit more into description

* Tue Sep 11 2012 guillomovitch <guillomovitch> 0.3.2-5.mga3
+ Revision: 292217
- fix apache configuration file (#7419)

* Sun Sep 09 2012 guillomovitch <guillomovitch> 0.3.2-4.mga3
+ Revision: 291115
- use herein-document for webapp configuration
- drop obsoletes and tautological README.install.urpmi

* Wed Aug 29 2012 jquelin <jquelin> 0.3.2-2.mga3
+ Revision: 285469
- apache 2.4 rebuild (mga#7152)

* Wed Mar 21 2012 alien <alien> 0.3.2-1.mga2
+ Revision: 225354
- update to new release 0.3.2

* Sun Mar 04 2012 alien <alien> 0.3.1-2.mga2
+ Revision: 217950
- Add the URL

* Tue Feb 28 2012 alien <alien> 0.3.1-1.mga2
+ Revision: 215787
- Update to version 0.3.1
- Improved logging
- Implemented UNMODIFIED

* Mon Dec 05 2011 alien <alien> 0.2.4-3.mga2
+ Revision: 177112
- change README.urpmi into README.install.urpmi, no need to have it on every update

* Mon Dec 05 2011 alien <alien> 0.2.4-2.mga2
+ Revision: 177078
- Add README.urpmi to note that apache needs to be running

* Sat Oct 01 2011 alien <alien> 0.2.4-1.mga2
+ Revision: 150647
- Remove tmp directory
- Upgrade to version 0.2.4 (warning handling,fix wrong defaults,fix config file loading)
- Pre-create logfile with correct permissions
- Clean up the top of spec file
- Clean up the useless %%defattr
- Clean up the %%clean section
- imported package urpmi-proxy

